%define upstream_name    HTML-TreeBuilder-LibXML
%define upstream_version 0.15

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    HTML::Element compatible API for HTML::TreeBuilder::LibXML
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(HTML::TreeBuilder::XPath) >= 0.140.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(XML::LibXML) >= 1.700.0
BuildArch:  noarch

%description
HTML::TreeBuilder::XPath is libxml based compatible interface to
HTML::TreeBuilder, which could be slow for a large document.

HTML::TreeBuilder::LibXML is drop-in-replacement for
HTML::TreeBuilder::XPath.

This module doesn't implement all of HTML::TreeBuilder and HTML::Element
APIs, but eough methods are defined so modules like Web::Scraper work.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Thu Dec 08 2011 kharec <kharec> 0.150.0-1.mga2
+ Revision: 179188
- update to 0.15

* Fri Oct 14 2011 jquelin <jquelin> 0.130.0-1.mga2
+ Revision: 155032
- update to 0.13

* Sun Jan 23 2011 jquelin <jquelin> 0.120.0-2.mga1
+ Revision: 33814
- mageia rebuild
- cleaning spec file
- imported package perl-HTML-TreeBuilder-LibXML


* Mon Dec 06 2010 Shlomi Fish <shlomif@mandriva.org> 0.120.0-2mdv2011.0
+ Revision: 612977
- Bumped the rel to rebuild
- import perl-HTML-TreeBuilder-LibXML

